%global pypi_name botocore
Name:                python-%{pypi_name}
Version:             1.19.17
Release:             1
Summary:             Low-level, data-driven core of boto 3
License:             ASL 2.0
URL:                 https://github.com/boto/botocore
Source0:             https://github.com/boto/botocore/archive/%{version}.tar.gz
BuildArch:           noarch
%description
A low-level interface to a growing number of Amazon Web Services. The
botocore package is the foundation for the AWS CLI as well as boto3.

%package -n          python3-%{pypi_name}
Summary:             Low-level, data-driven core of boto 3
BuildRequires:       python3-devel python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:            python3-jmespath
%description -n python3-%{pypi_name}
A low-level interface to a growing number of Amazon Web Services. The
botocore package is the foundation for the AWS CLI as well as boto3.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -vr tests/integration

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-*.egg-info/

%changelog
* Mon Nov 16 2020 yanan li <liyanan32@huawei.com> - 1.19.17-1
- Package init
